FacetSetsField (Lucene 10.5.1 facet API)
Description: declaration: package: org.apache.lucene.facet.facetset, class: FacetSetsField

Package org.apache.lucene.facet.facetset

# Class FacetSetsField

java.lang.Object
org.apache.lucene.document.Field
org.apache.lucene.document.BinaryDocValuesField
org.apache.lucene.facet.facetset.FacetSetsField

All Implemented Interfaces:
  `IndexableField`

public class FacetSetsField extends BinaryDocValuesField
A `BinaryDocValuesField` which encodes a list of `facet sets`. The encoding scheme consists of a packed `byte[]` where the first value denotes the number of dimensions in all the sets, followed by each set's values.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.document.Field

  `Field.Store`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.document.BinaryDocValuesField

  `TYPE`

  ### Fields inherited from class org.apache.lucene.document.Field

  `fieldsData, name, type`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FacetSetsField`
  `create(String name, FacetSet... facetSets)`
  Create a new FacetSets field.

  ### Methods inherited from class org.apache.lucene.document.Field

  `binaryValue, fieldType, getCharSequenceValue, invertableType, name, numericValue, readerValue, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, storedValue, stringValue, tokenStream, tokenStreamValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### create

    public static FacetSetsField create(String name, FacetSet... facetSets)
    Create a new FacetSets field.
    Parameters:
      `name` - field name
      `facetSets` - the `facet sets` to index in that field. All must have the same number of dimensions
    Throws:
      `IllegalArgumentException` - if the field name is null or the given facet sets are invalid